/* nazwa pliku:   	key.h
 opis:          	Miernik C02
               		Odczyt klawiszy - nagłówek
*/

#ifndef __KEY_H
#define __KEY_H

#include <stdint.h>

//-----------------------------Stałe------------------------------//
//kody klawiszy
#define KEY_IDLE 0
#define KEY_BRIGHT 1
#define KEY_SELECT 2
#define KEY_EXECUTE 3

#define DEBOUNCE_DELAY 50 //50ms


//-----------------------------Funkcje------------------------------//
void Key_Initialize (void);
void Key_Poll (void);
uint8_t Key_Get (void);
void Key_ClearEvent (void);

#endif
